commit: 32cc76eb5a311b32df092f93a840226a1bfb08fe
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 5 15:01:18 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 5 15:08:56 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32cc76eb
dev-ruby/inifile: add ruby23, ruby24
Package-Manager: portage-2.3.3
dev-ruby/inifile/inifile-3.0.0.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/dev-ruby/inifile/inifile-3.0.0.ebuild
b/dev-ruby/inifile/inifile-3.0.0.ebuild
index a49b8a5..ac6c878 100644
--- a/dev-ruby/inifile/inifile-3.0.0.ebuild
+++ b/dev-ruby/inifile/inifile-3.0.0.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22"
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
RUBY_FAKEGEM_TASK_TEST="test"
@@ -23,5 +23,5 @@ KEYWORDS="~amd64"
IUSE=""
each_ruby_test() {
- ${RUBY} -S testrb test/test_*.rb || die
+ ${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each{|f| require f}' ||
die
}